#ifndef _ENCODING_H
#define _ENCODING_H

typedef struct {
	gint index;
	gchar *charset;
	gchar *desc;
} CharsetInfo;

const gchar *get_default_charset(void);
void init_charset_info(void);
const CharsetInfo *get_charset_info_from_charset(const gchar *charset);
const CharsetInfo *get_charset_info_from_index(gint index);
gchar *get_string_from_charset_info(const CharsetInfo *ci);
const gchar *get_charset_from_charset_info(const CharsetInfo* ci);

gint detect_line_ending(const gchar *text);
void convert_line_ending_to_lf(gchar *text);
void convert_line_ending(gchar **text, gint retcode);
gchar *detect_charset(const gchar *text);

enum {
	LF = 0x0A,
	CR = 0x0D,
};

#endif  /* _ENCODING_H */
